<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span>Tareas</span>

            <div class="example-spacer"></div>
            <button mat-raised-button color="primary" routerLink="/nuevoTareas">Agregar</button>
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>


        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>

                <!-- Position Column -->
                <ng-container matColumnDef="id_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_tarea}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="nombre_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_tarea}} </td>
                </ng-container>

                <!-- Weight Column -->
                <ng-container matColumnDef="descripcion_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Descripcion </th>
                    <td mat-cell *matCellDef="let element"> {{element.descripcion_tarea}} </td>
                </ng-container>

                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <!--
                        <a class="pointer" style="color: black;" matTooltip="Ver">
                            <mat-icon>search</mat-icon>
                        </a>
                        -->
                        &nbsp;
                        <a class="pointer" (click)="editarTarea(element.id_tarea)" matTooltip="Editar">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="eliminarTarea(element.id_tarea)" matTooltip="Eliminar">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>

                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>

    </ng-container>


</div>